Samsung EAS level on 8.8.9

Take your Zimbra with you!
FredKarno
Posts: 34
Joined: Sat Oct 10, 2015 5:40 am

Samsung EAS level on 8.8.9

Postby FredKarno » Mon Oct 22, 2018 10:15 am

Hi everyone,
has there been any progress with using a modern version of EAS with Samsung devices yet?

The most recent advice I can find is from Dec 17 here:https://wiki.zimbra.com/wiki/Zimbra_NG_Modules/Zimbra_NG_Mobile/Admin_Guide (and quoted below)
which is to restrict Samsung devices to 2.5 which has some significant shortcomings. That page is for 8.8 I was wondering if anyone has experience of using EAS 14.1 with Samsung devices on more recent versions of Zimbra.
Thanks!






Zimbra NG Mobile and Samsung devices

Due to the amount of manufacturer customizations causing issues and out-of-spec behaviours of Samsung clients running the stock client on Android, Zimbra NG Mobile includes some specific server-side limitations to avoid as many synchronization issues as possible.

Since the vast majority of issues has been detecting when using versions of the Exchange ActiveSync protocol higher than the old 2.5, a dedicated module property, "Zimbra NG Mobile_MaxSamsungVersion", has been introduced to define the maximum protocol version usable by Samsung clients. This property is set to default to "2.5" and cannot be overridden by either EAS Filters or by the various "Zimbra NG Mobile_EASXX" properties, meaning that this value is the ONLY reference for all Samsung clients.

Using version 2.5 of the Exchange ActiveSync protocol will make devices unable to benefit of the following features:

Server-side mail search.
Email flagging.
Mobile Provisioning.

It's always possible to change the value of the "Zimbra NG Mobile_MaxSamsungVersion" property either via CLI or via the Zimbra NG Modules Administration Zimlet to use a higher protocol version, but doing so will likely cause one or more of the following issues:

Inability to download full emails if the default download size is set to a value lower than the email's size.
Duplicated device notifications.
Inability to properly accept or sync Meeting Requests.
Synchronization loops.

We are eagerly working on fixing as many issues as possible due to server-side workarounds, but at the moment setting the Max Samsung Version limit to 2.5 is highly suggested.


phoenix
Ambassador
Ambassador
Posts: 25817
Joined: Fri Sep 12, 2014 9:56 pm

Re: Samsung EAS level on 8.8.9

Postby phoenix » Mon Oct 22, 2018 1:35 pm

I'd guess the problem still exists as it's also mentioned on the ZeXtras site: https://wiki.zextras.com/wiki/ZxMobile_Admin_Guide#ZeXtras_Mobile_and_Samsung_devices

You could always raise a support case with Zimbra Support for confirmation but don't forget that this is a problem with the specific phone manufacturer rather than EAS or the ZeXtras product.
Regards

Bill

Rspamd: A high performance spamassassin replacement

If you'd like to see this implemented in a future version of ZCS then please vote on Bugzilla entries 97706 & 108168

Return to “Mobility”

Who is online

Users browsing this forum: No registered users and 3 guests